/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 * Project  Zero
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
dojo.provide("zero.eventproxy");
dojo.require("dojo.io.*");


/*
 * 		example argObject
 *   	{	
 * 			url: "/someOtherUrl" 
 * 			callbackMethod: callback, //reference to a function
 * 			requestData: someObject
 * 
 * 		} 
 *
 */
zero.eventproxy.fireEvent = function(eventProxyUrl, eventName, argObject, url){
	
	//define inner function
	var loadArgs = function(argObjectToMixIn, targetObj){
		var propsToLookFor={mimetype:"mimetype", url:'url', callbackMethod:'load', requestData:'content', load:"load", content:"content"};
		for (var prop in argObjectToMixIn){
			//if (argObjectToMixIn[prop]){
				//alert("found it");
				//targetObj[propsToLookFor[prop]] = argObjectToMixIn[prop];	
				targetObj[prop] = argObjectToMixIn[prop];	
			//}			
		}
	}
	
	if (!eventName)
		alert('eventName must be specified for fireEvent!');
	else {
		var requestUrl = eventProxyUrl + "/" + eventName;
		if (url != undefined)
			requestUrl += "/" + url; //if they specify a specific url to use for this event firing, append it
		//alert("request URL: " + requestUrl);
		var requestArgs = {
			url: requestUrl,
			method: "POST"
		};
		loadArgs(argObject, requestArgs);	
		dojo.io.bind(requestArgs);
	}
	
	
};		
	
		
	